# class Puppet::Network::HTTP::RackREST::RackFile

### Public Class Methods

new(file) click to toggle source

    # File lib/puppet/network/http/rack/rest.rb, line 14
    def initialize(file)
      @file = file
    end

### Public Instance Methods

close() click to toggle source

    # File lib/puppet/network/http/rack/rest.rb, line 24
    def close
      @file.close
    end

each() { |chunk| ... } click to toggle source

    # File lib/puppet/network/http/rack/rest.rb, line 18
    def each
      while chunk = @file.read(CHUNK_SIZE)
        yield chunk
      end
    end